node_type {DiagrammeR} | R Documentation

## Create, read, update, delete, or report status of a node type definition

### Description

From a graph object of class `dgr_graph`, query a node in the graph (using the node ID) and perform operations on the type definition for that node.

### Usage

    node_type(graph, node, action = "read", value = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`node` | a node ID corresponding to the node to be selected.

`action`

the operation to perform on the node's type attribute. To remove the type definition from a node, use either `delete`, `remove`, or `drop`. To add a type definition to a node with no type set, use `add` or `create`. To update a node's type definition, use `update`. To return the value of a node type, use `read`. To determine whether there is a type set for the selected node, use `check`.

`value` | a string denoting the node type, to be supplied when either adding or updating a node type definition.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]